org.apache.ignite.internal.processors.cache.persistence.metastorage

## Interface MetastorageRow

All Known Implementing Classes:
  MetastorageDataRow, MetastorageSearchRow

    public interface MetastorageRow

BPlus row hierarchy is broken. Ideally this interface would contain only `key()` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `key()`
`long` `keyLink()`
`long` `link()`

### Method Detail

#### link

    long link()

Returns:
  Link for this row.

#### key

    String key()

Returns:
  Key string.

#### keyLink

    long keyLink()

Returns:
  Key link.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020